/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserInfo.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserInfo extends FieldAccessor implements DataInfo<UserInfoKey>
{
	
	private UserInfoKey	key;
	@JsonProperty("USERNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			userName;
	@JsonProperty("USERGROUPNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			userGroupName;
	@JsonProperty("PASSWORD")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			password;
	@JsonProperty("LOCALENAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			localeName;
	@JsonProperty("EMAIL")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			email;
	@JsonProperty("SITENAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String			siteName;
	private String          phoneNumber;
	private String			portalId;
	private String 			specialPassword;
	private String			department;
	public String getPortalId() {
		return portalId;
	}

	public void setPortalId(String portalId) {
		this.portalId = portalId;
	}
		
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}



	public UserInfoKey getKey()
	{
		return key;
	}

	public void setKey(UserInfoKey key)
	{
		this.key = key;
	}

	public String getUserName()
	{
		return userName;
	}

	public void setUserName(String userName)
	{
		this.userName = userName;
	}

	public String getUserGroupName()
	{
		return userGroupName;
	}

	public void setUserGroupName(String userGroupName)
	{
		this.userGroupName = userGroupName;
	}

//	public String getPassword()
//	{
//		return password;
//	}
//
//	public void setPassword(String password)
//	{
//		this.password = password;
//	}

	public String getLocaleName()
	{
		return localeName;
	}

	public void setLocaleName(String localeName)
	{
		this.localeName = localeName;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}
	
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public void setSpecialPassword(String specialPassword) {
		this.specialPassword = specialPassword;
	}

	public String getSpecialPassword() {
		return specialPassword;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}
}
